summaryrefslogtreecommitdiff
path: root/dev-java/classmate
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-java/classmate
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-java/classmate')
-rw-r--r--dev-java/classmate/Manifest4
-rw-r--r--dev-java/classmate/classmate-0.9.0-r1.ebuild47
-rw-r--r--dev-java/classmate/classmate-1.0.0.ebuild52
-rw-r--r--dev-java/classmate/classmate-1.1.0.ebuild50
-rw-r--r--dev-java/classmate/classmate-1.2.0.ebuild45
-rw-r--r--dev-java/classmate/metadata.xml12
6 files changed, 210 insertions, 0 deletions
diff --git a/dev-java/classmate/Manifest b/dev-java/classmate/Manifest
new file mode 100644
index 000000000000..1fca675ced9c
--- /dev/null
+++ b/dev-java/classmate/Manifest
@@ -0,0 +1,4 @@
+DIST classmate-0.9.0.tar.gz 57752 BLAKE2B 31247d159be4898b9ae71024da41c8602fe4d82f4ee10edab3146355cac06b23991fe926397737c43341085f35b392fc3f8a6b8278b9e47706f6fd06012f4c59 SHA512 7fb331c462458c8aab143f23c0d128a0e4e976f9d12bd181eb5658961b217bd1fe0871d056fc38bff794522c8b3118a2a017eab265afffc1d60b5580df1237a2
+DIST classmate-1.0.0.tar.gz 57807 BLAKE2B 171a82fb61fd1e183a5d435912099fd663d41c5d68791502c3a25752b77e809da817d2a8c5f8be55a211c4ab192aff6e2e566e8400c12fef688dfc05ea8a1b16 SHA512 cf721c813674e295fa6c1fe897493d14926d025cab51896ea0cec69ae285a540123060c39e3515daeffa48d6975d060861bf3ca5340bb9273980fee6d92d73b5
+DIST classmate-1.1.0.tar.gz 60936 BLAKE2B 07fe05e3f5e77b4d3551c99940b2c1e53473c37f59c592cca631266d9015618c0e72b4e659ffba999cf53bb6c5fff38a1525dbd2f49852b60ccfe66c1cb75e01 SHA512 461838806e9c181764433473af8a8d3e24539a8a8ccaed29fee8eab9c6a7a2a0b1a7dd4435931ab08ae46566330a69ce3a1d2efadb3bab2535aeb041c530ce9a
+DIST classmate-1.2.0.tar.gz 62150 BLAKE2B fac7cb24e527f69863cfb4c59e634ac77165aa5a1ecae9d887511818a87ae9cd2652eb47e72844f3e38bed3c4856185020db6ece90553d14ce84cf6ce859cae7 SHA512 82f38229cbe57531354300b967589afcf064970a2b41ac56ad3520582719416ca878d9a4adc46d46a4470077e5f14ddcf2906b0af03156863301dca0b20d4151
diff --git a/dev-java/classmate/classmate-0.9.0-r1.ebuild b/dev-java/classmate/classmate-0.9.0-r1.ebuild
new file mode 100644
index 000000000000..f6deb6b4e717
--- /dev/null
+++ b/dev-java/classmate/classmate-0.9.0-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit java-pkg-2 java-pkg-simple vcs-snapshot
+
+DESCRIPTION="Zero-dependency Java library for accurately introspecting type information"
+HOMEPAGE="https://github.com/cowtowncoder/java-classmate/"
+SRC_URI="https://github.com/cowtowncoder/java-classmate/archive/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.6"
+DEPEND=">=virtual/jdk-1.6
+ test? ( dev-java/junit:4 )"
+
+S="${WORKDIR}/${P}"
+
+JAVA_SRC_DIR="src/main/java"
+
+# This one test is buggy.
+JAVA_RM_FILES=(
+ src/test/java/com/fasterxml/classmate/AnnotationsTest.java
+)
+
+java_prepare() {
+ rm pom.xml || die
+}
+
+src_test() {
+ testcp="${S}/${PN}.jar:$(java-pkg_getjars junit-4):target/tests"
+
+ mkdir target/tests || die
+ ejavac -cp "${testcp}" -d target/tests $(find src/test/java -name "*.java")
+
+ tests=$(find target/tests -name "*Test.class" -not -name "BaseTest.class" \
+ | sed -e 's/target\/tests\///g' -e "s/\.class//" -e "s/\//./g" \
+ | grep -vP '\$');
+ ejunit4 -cp "${testcp}" ${tests}
+}
diff --git a/dev-java/classmate/classmate-1.0.0.ebuild b/dev-java/classmate/classmate-1.0.0.ebuild
new file mode 100644
index 000000000000..14bf78fc27ec
--- /dev/null
+++ b/dev-java/classmate/classmate-1.0.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Zero-dependency Java library for accurately introspecting type information"
+HOMEPAGE="https://github.com/cowtowncoder/java-classmate/"
+SRC_URI="https://github.com/cowtowncoder/java-classmate/archive/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE=""
+
+RDEPEND="
+ >=virtual/jre-1.6"
+
+DEPEND="
+ >=virtual/jdk-1.6
+ test? (
+ dev-java/junit:4
+ )"
+
+S="${WORKDIR}/java-${PN}-${P}"
+
+JAVA_SRC_DIR="src/main/java"
+
+# This one test is buggy.
+JAVA_RM_FILES=(
+ src/test/java/com/fasterxml/classmate/AnnotationsTest.java
+)
+
+java_prepare() {
+ rm pom.xml || die
+}
+
+src_test() {
+ testcp="${S}/${PN}.jar:$(java-pkg_getjars junit-4):target/tests"
+
+ mkdir target/tests || die
+ ejavac -cp "${testcp}" -d target/tests $(find src/test/java -name "*.java")
+
+ tests=$(find target/tests -name "*Test.class" -not -name "BaseTest.class" \
+ | sed -e 's/target\/tests\///g' -e "s/\.class//" -e "s/\//./g" \
+ | grep -vP '\$');
+ ejunit4 -cp "${testcp}" ${tests}
+}
diff --git a/dev-java/classmate/classmate-1.1.0.ebuild b/dev-java/classmate/classmate-1.1.0.ebuild
new file mode 100644
index 000000000000..65b7a55fc95a
--- /dev/null
+++ b/dev-java/classmate/classmate-1.1.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Zero-dependency Java library for accurately introspecting type information"
+HOMEPAGE="https://github.com/cowtowncoder/java-classmate/"
+SRC_URI="https://github.com/cowtowncoder/java-classmate/archive/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=virtual/jre-1.6"
+
+DEPEND="
+ >=virtual/jdk-1.6
+ test? ( dev-java/junit:4 )"
+
+S="${WORKDIR}/java-${PN}-${P}"
+
+JAVA_SRC_DIR="src/main/java"
+
+# This one test is buggy.
+JAVA_RM_FILES=(
+ src/test/java/com/fasterxml/classmate/AnnotationsTest.java
+)
+
+src_prepare() {
+ default
+ rm -v pom.xml \
+ src/test/java/com/fasterxml/classmate/AnnotationsTest.java || die
+}
+
+src_test() {
+ testcp="${S}/${PN}.jar:$(java-pkg_getjars junit-4):target/tests"
+
+ mkdir target/tests || die
+ ejavac -cp "${testcp}" -d target/tests $(find src/test/java -name "*.java")
+
+ tests=$(find target/tests -name "*Test.class" -not -name "BaseTest.class" \
+ | sed -e 's/target\/tests\///g' -e "s/\.class//" -e "s/\//./g" \
+ | grep -vP '\$');
+ ejunit4 -cp "${testcp}" ${tests}
+}
diff --git a/dev-java/classmate/classmate-1.2.0.ebuild b/dev-java/classmate/classmate-1.2.0.ebuild
new file mode 100644
index 000000000000..5b084f9f2a6c
--- /dev/null
+++ b/dev-java/classmate/classmate-1.2.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Zero-dependency Java library for accurately introspecting type information"
+HOMEPAGE="https://github.com/cowtowncoder/java-classmate/"
+SRC_URI="https://github.com/cowtowncoder/java-classmate/archive/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=virtual/jre-1.6"
+
+DEPEND="
+ >=virtual/jdk-1.6
+ test? ( dev-java/junit:4 )"
+
+S="${WORKDIR}/java-${PN}-${P}"
+
+JAVA_SRC_DIR="src/main/java"
+
+src_prepare() {
+ default
+ rm -v pom.xml \
+ src/test/java/com/fasterxml/classmate/AnnotationsTest.java || die
+}
+
+src_test() {
+ testcp="${S}/${PN}.jar:$(java-pkg_getjars junit-4):target/tests"
+
+ mkdir target/tests || die
+ ejavac -cp "${testcp}" -d target/tests $(find src/test/java -name "*.java")
+
+ tests=$(find target/tests -name "*Test.class" -not -name "BaseTest.class" \
+ | sed -e 's/target\/tests\///g' -e "s/\.class//" -e "s/\//./g" \
+ | grep -vP '\$');
+ ejunit4 -cp "${testcp}" ${tests}
+}
diff --git a/dev-java/classmate/metadata.xml b/dev-java/classmate/metadata.xml
new file mode 100644
index 000000000000..47ca26ab7aa7
--- /dev/null
+++ b/dev-java/classmate/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>java@gentoo.org</email>
+ <name>Java</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">cowtowncoder/java-classmate</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>